Update to maintenance release v3.9.1

Bug #1884293 reported by Eric Desrochers
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Fix Released
Undecided
Unassigned
Xenial
Fix Released
Medium
Eric Desrochers
Bionic
Fix Released
Medium
Eric Desrochers
Eoan
Fix Released
Medium
Eric Desrochers
Focal
Fix Released
Medium
Eric Desrochers

Bug Description

[Impact]

sosreport 3.9.1 is now released.

It would be great to find sosreport v3.9.1 in supported stable releases, and active development release considering the fact that the releases (especially LTSes) are going to be supported for a couple of years.

Sosreport is widely used by Canonical support team (and mission critical) to troubleshoot UA (Ubuntu Advantage) customer, partners, community users, .... and so on.

Just like we did for :
- v3.5 (LP: #1734983)
- v3.6 (LP: #1775195)
- v3.9 (LP: #1862830)

[Test Case]

* Install sosreport
* Run sosreport in different customer scenarios:
server, desktop, cloud, hypervisor, instance (container, vm), physical server, ...
* Extract archive and look at the content, look for 0 size file (and use common sense if legit or not)
* Look under "sos_reports" for full report.
* Look under "sos_logs" for warnings/errors.
  $ grep -v "INFO:" sos_logs/sos.log
* Run "simple.sh": A quick port of the travis tests to bash. Generating various type of sosreports collection (which is part of the autopkgtest (d/test/simple.sh) now.

* Perform some dog fooding test routines (--all-logs, --upload, looking sosreport archive content, ... and so on)

* https://wiki.ubuntu.com/SosreportUpdates

[Regression Potential]

Sosreport, as of today, has 300 plugins that are all configured differently and configured to run under certain conditions. We can't test all possible scenarios. All we can do is identify the most common, important and Ubuntu/Canonical related one and test them (e.g. Openstack*, juju, MAAS, kernel, ...). With that being said, it is definitely possible that certain plugins may not work as expected, but the risk will be very low (e.g. not collecting the desired information) and isolated to this specific plugin. It shouldn't affect the other plugins nor core functionalities of sosreport.

[Other Information]

* Release note:
https://github.com/sosreport/sos/releases/tag/3.9.1

[Original Description]

3.9.1 is now found in Debian unstable and Groovy (Current Active Devel Release)

Eric Desrochers (slashd)
Changed in sosreport (Ubuntu):
status: New → Fix Released
Changed in sosreport (Ubuntu Xenial):
status: New → In Progress
Changed in sosreport (Ubuntu Bionic):
status: New → In Progress
Changed in sosreport (Ubuntu Focal):
status: New → In Progress
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Bionic):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Xenial):
assignee: nobody → Eric Desrochers (slashd)
importance: Undecided → Medium
Changed in sosreport (Ubuntu Bionic):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Focal):
importance: Undecided → Medium
description: updated
tags: added: seg sts
description: updated
Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Bionic):
status: In Progress → Confirmed
Changed in sosreport (Ubuntu Xenial):
status: In Progress → Confirmed
Eric Desrochers (slashd)
description: updated
Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in sosreport (Ubuntu Eoan):
status: New → In Progress
assignee: nobody → Eric Desrochers (slashd)
importance: Undecided → Medium
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Eric, or anyone else affected,

Accepted sosreport into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in sosreport (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed-eoan
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.18.04.1)

All autopkgtests for the newly accepted sosreport (3.9.1-1ubuntu0.18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

sosreport/3.9.1-1ubuntu0.18.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#sosreport

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Eric Desrochers (slashd) wrote :

[Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.18.04.1)]

sos-run-nonroot.py PASS
sos-run.py PASS
simple.sh FAIL non-zero exit status 1

...
  File "/tmp/autopkgtest.xKfdM6/build.M79/src/sos/utilities.py", line 259, in <genexpr>
    return ''.join(ln.decode('utf-8', 'ignore') for ln in self.deque)
MemoryError

Running "simple.sh" manually on an ARM64 system with sosreport/3.9.1-1ubuntu0.18.04.1 didn't reproduce the behaviour observed and reported in the autopkgtest environment:

$ lsb_release -cs
bionic

$ lscpu
Architecture: aarch64
....

$ simple.sh (last lines output)
### end stdout
### start extraction
### stop extraction
######### DONE WITH --batch --verbose --no-postproc #########
Everything worked!

I'll retry the autopkgtest later today, but the failure can be safely ignored as it looks related to the autopkgtest env and not package/code specifics.

Eric Desrochers (slashd)
description: updated
Revision history for this message
Eric Desrochers (slashd) wrote :

[Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.18.04.1)]

Regression is now gone after the 3rd attempt. It was indeed related to the autopkgtest environment.

Revision history for this message
Eric Desrochers (slashd) wrote :

[Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.18.04.1)]

http://autopkgtest.ubuntu.com/packages/s/sosreport/bionic/armhf

Revision history for this message
Eric Desrochers (slashd) wrote :

[VERIFICATION BIONIC]

Test with sosreport: 3.9.1-1ubuntu0.18.04.1

* The simple.sh as part of the autopkgtest 'Passed' doing the following scenarios for all ARCHES:
######### RUNNING -l #########
######### RUNNING --list-presets #########
######### RUNNING --list-profiles #########
######### RUNNING --batch --build --no-env-vars #########
######### RUNNING --batch --no-report -o hardware #########
######### RUNNING --batch --label TEST -a -c never #########
######### RUNNING --batch --debug --log-size 0 -c always #########
######### RUNNING --batch -z xz --log-size 1 #########
######### RUNNING --batch -z gzip #########
######### RUNNING --batch -z bzip2 -t 1 -n hardware #########
######### RUNNING --batch --quiet -e opencl -k kernel.with-timer #########
######### RUNNING --batch --case-id 10101 --all-logs --since=20191007 #########
######### RUNNING --batch --verbose --no-postproc #########

* Running sosreport manually like a typical UA customer would do revealed no observable legitimate Errors nor Warnings.

 ** grep -v INFO sos_logs/sos.log ## The below is normal if the modules aren't loaded and permission denied due to apparmor lxd rules.
 2020-06-23 17:23:05,369 WARNING: [plugin:networking] skipped command 'ip -s macsec show':
 required kmods missing: macsec. Use '--allow-system-changes' to enable collection.
 2020-06-23 17:23:05,369 WARNING: [plugin:networking] skipped command 'ss -peaonmi': required
 kmods missing: tcp_diag, udp_diag, af_packet_diag, netlink_diag, inet_diag. Use '--allow-
 system-changes' to enable collection.
 2020-06-23 17:23:09,211 WARNING: [plugin:system] _copy_dir: '/proc/sys/fs' Permission denied

Nothing to worry about here.

 ** ls sos_logs/
 sos.log ui.log

No Stack Trace file found.

* No non-legit 0 size files found.

* Commonly used parameter all works as expected.

* --upload work and got uploaded into our FTP uploads/ folder.

- Eric

Revision history for this message
Eric Desrochers (slashd) wrote :

[VERIFICATION FOCAL]

Test with sosreport: 3.9.1-1ubuntu0.20.04.1

* The simple.sh as part of the autopkgtest 'Passed' doing the following scenarios for all ARCHES:
######### RUNNING -l #########
######### RUNNING --list-presets #########
######### RUNNING --list-profiles #########
######### RUNNING --batch --build --no-env-vars #########
######### RUNNING --batch --no-report -o hardware #########
######### RUNNING --batch --label TEST -a -c never #########
######### RUNNING --batch --debug --log-size 0 -c always #########
######### RUNNING --batch -z xz --log-size 1 #########
######### RUNNING --batch -z gzip #########
######### RUNNING --batch -z bzip2 -t 1 -n hardware #########
######### RUNNING --batch --quiet -e opencl -k kernel.with-timer #########
######### RUNNING --batch --case-id 10101 --all-logs --since=20191007 #########
######### RUNNING --batch --verbose --no-postproc #########

* Running sosreport manually like a typical UA customer would do revealed no observable legitimate Errors nor Warnings.

 ** grep -v INFO sos_logs/sos.log ## The below is normal if the modules aren't loaded or no credential passed to mysql:
2020-06-23 17:47:47,118 WARNING: mysql.dbdump: database user name and password must be supplied
2020-06-23 17:47:47,124 WARNING: [plugin:networking] skipped command 'ip -s macsec show': required kmods missing: macsec. Use '--allow-system-changes' to enable collection.
2020-06-23 17:47:47,124 WARNING: [plugin:networking] skipped command 'ss -peaonmi': required kmods missing: af_packet_diag, udp_diag, inet_diag, tcp_diag, netlink_diag. Use '--allow-system-changes' to enable collection.

Nothing to worry about here.

 ** ls sos_logs/
 sos.log ui.log

No Stack Trace file found.

* No non-legit 0 size files found.

* Commonly used parameter all works as expected.

* --upload work and got uploaded into our FTP uploads/ folder.

- Eric

Revision history for this message
Eric Desrochers (slashd) wrote :

[VERIFICATION EOAN]

Test with sosreport: 3.9.1-1ubuntu0.19.10.1

* The simple.sh as part of the autopkgtest 'Passed' doing the following scenarios for all ARCHES:
######### RUNNING -l #########
######### RUNNING --list-presets #########
######### RUNNING --list-profiles #########
######### RUNNING --batch --build --no-env-vars #########
######### RUNNING --batch --no-report -o hardware #########
######### RUNNING --batch --label TEST -a -c never #########
######### RUNNING --batch --debug --log-size 0 -c always #########
######### RUNNING --batch -z xz --log-size 1 #########
######### RUNNING --batch -z gzip #########
######### RUNNING --batch -z bzip2 -t 1 -n hardware #########
######### RUNNING --batch --quiet -e opencl -k kernel.with-timer #########
######### RUNNING --batch --case-id 10101 --all-logs --since=20191007 #########
######### RUNNING --batch --verbose --no-postproc #########

* Running sosreport manually like a typical UA customer would do revealed no observable legitimate Errors nor Warnings.

 ** grep -v INFO sos_logs/sos.log ## The below is normal if the modules aren't loaded and permission denied due to apparmor lxd rules.
WARNING: [plugin:networking] skipped command 'ip -s macsec show':
 required kmods missing: macsec. Use '--allow-system-changes' to enable collection.
WARNING: [plugin:networking] skipped command 'ss -peaonmi': required
 kmods missing: tcp_diag, udp_diag, af_packet_diag, netlink_diag, inet_diag. Use '--allow-
 system-changes' to enable collection.
WARNING: [plugin:system] _copy_dir: '/proc/sys/fs' Permission denied

Nothing to worry about here.

 ** ls sos_logs/
 sos.log ui.log

No Stack Trace file found.

* No non-legit 0 size files found.

* Commonly used parameter all works as expected.

* --upload work and got uploaded into our FTP uploads/ folder.

- Eric

Revision history for this message
Eric Desrochers (slashd) wrote :

This above has been tested in a variety of server type : HW, containers and VM.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Revision history for this message
Eric Desrochers (slashd) wrote :

IMHO, no further testings is needed for sosreport in EOAN, as it will soon reach EOL anyway and the current testing I did was satisfying.

We don't expect UA customer to run complex environment on EOAN (Cloud, JuJu, MAAS, Landscape and such). They stick to LTS version on purpose.

- Eric

Revision history for this message
Eric Desrochers (slashd) wrote :

@dnegreira,

Did you have the time to test the new sosreport build ?

Revision history for this message
David Negreira (dnegreira) wrote :

Finalized testing Bionic:

Test cases:
* Verified 0 sized files
* Verified errors on sos.log
* Verified automatic uploads

* Openstack
Run on sosreport on an juju deployed openstack cluster and verified that the relevant information for each unit was present, both on sos_commands/ and /var/log as well as the juju information:
  ** ceph
  ** openvswitch
  ** rabbitmq
  ** cinder
  ** glance
  ** keystone
  ** neutron-api
  ** neutron-gateway
  ** nova-cloud-controller
  ** nova-compute
* juju
  ** verified that the sensitive information is masked on a controller

Revision history for this message
David Negreira (dnegreira) wrote :

Finalized testing Eoan:

Test cases:
* Verified 0 sized files
* Verified errors on sos.log
* Verified automatic uploads

* Openstack
Run on sosreport on an juju deployed openstack cluster and verified that the relevant information for each unit was present, both on sos_commands/ and /var/log as well as the juju information:
  ** ceph
  ** openvswitch
  ** rabbitmq
  ** cinder
  ** glance
  ** keystone
  ** neutron-api
  ** neutron-gateway
  ** nova-cloud-controller
  ** nova-compute
* juju
  ** verified that the sensitive information is masked on a controller

Revision history for this message
David Negreira (dnegreira) wrote :

Finalized testing Focal:

Test cases:
* Verified 0 sized files
* Verified errors on sos.log
* Verified automatic uploads

* Openstack
Run on sosreport on an juju deployed openstack cluster and verified that the relevant information for each unit was present, both on sos_commands/ and /var/log as well as the juju information:
  ** ceph
  ** openvswitch
  ** rabbitmq
  ** cinder
  ** glance
  ** keystone
  ** neutron-api
  ** neutron-gateway
  ** nova-cloud-controller
  ** nova-compute
* juju
  ** verified that the sensitive information is masked on a controller

Revision history for this message
David Negreira (dnegreira) wrote :

@slashd finished testing from my side on Bionic, Focal and Eoan, see my previous updates.

Eric Desrochers (slashd)
tags: added: verification-done verification-done-bionic verification-done-focal
removed: verification-needed verification-needed-bionic verification-needed-focal
Changed in sosreport (Ubuntu Xenial):
status: Confirmed → Won't Fix
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.20.04.1

---------------
sosreport (3.9.1-1ubuntu0.20.04.1) focal; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293) (LP: #1883320)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch
    - d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch

  * Other specific modifications:
    - d/p/0001-lshw-command.patch
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch

 -- Eric Desrochers <email address hidden> Tue, 16 Jun 2020 12:18:58 +0000

Changed in sosreport (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for sosreport has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.19.10.1

---------------
sosreport (3.9.1-1ubuntu0.19.10.1) eoan; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293) (LP: #1883320)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch
    - d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch

  * Other specific modifications:
    - d/p/0001-lshw-command.patch
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch

 -- Eric Desrochers <email address hidden> Tue, 16 Jun 2020 12:18:58 +0000

Changed in sosreport (Ubuntu Eoan):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.18.04.1

---------------
sosreport (3.9.1-1ubuntu0.18.04.1) bionic; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293) (LP: #1883320)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch
    - d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch

  * Other specific modifications:
    - d/p/0001-lshw-command.patch
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch

 -- Eric Desrochers <email address hidden> Tue, 16 Jun 2020 12:18:58 +0000

Changed in sosreport (Ubuntu Bionic):
status: Fix Committed → Fix Released
Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Xenial):
status: Won't Fix → In Progress
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Eric, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done
Revision history for this message
Eric Desrochers (slashd) wrote :

[VERIFICATION XENIAL]

Test with sosreport: 3.9.1-1ubuntu0.16.04.1

* The simple.sh as part of the autopkgtest 'Passed' doing the following scenarios for all ARCHES:
######### RUNNING -l #########
######### RUNNING --list-presets #########
######### RUNNING --list-profiles #########
######### RUNNING --batch --build --no-env-vars #########
######### RUNNING --batch --no-report -o hardware #########
######### RUNNING --batch --label TEST -a -c never #########
######### RUNNING --batch --debug --log-size 0 -c always #########
######### RUNNING --batch -z xz --log-size 1 #########
######### RUNNING --batch -z gzip #########
######### RUNNING --batch -z bzip2 -t 1 -n hardware #########
######### RUNNING --batch --quiet -e opencl -k kernel.with-timer #########
######### RUNNING --batch --case-id 10101 --all-logs --since=20191007 #########
######### RUNNING --batch --verbose --no-postproc #########

--
### end stdout
### start extraction
### stop extraction
######### DONE WITH --batch --verbose --no-postproc #########
Everything worked!
--

* Running sosreport manually like a typical UA customer would do revealed no observable legitimate Errors nor Warnings.

 ** grep -v INFO sos_logs/sos.log ## The below is normal if the modules aren't loaded and permission denied due to apparmor lxd rules.

2020-07-16 15:17:48,030 WARNING: [plugin:networking] skipped command 'ip -s macsec show': required kmods missing: macsec. Use '--allow-system-changes' to enable collection.
2020-07-16 15:17:48,030 WARNING: [plugin:networking] skipped command 'ss -peaonmi': required kmods missing: tcp_diag, netlink_diag, udp_diag, af_packet_diag, inet_diag. Use '--allow-system-changes' to enable collection.
2020-07-16 15:17:51,921 WARNING: [plugin:system] _copy_dir: '/proc/sys/fs' Permission denied

Nothing to worry about here.

 ** ls sos_logs/
 sos.log ui.log

No Stack Trace file found.

* No non-legit 0 size files found.

* Commonly used parameter all works as expected.

* --upload work and got uploaded into our FTP uploads/ folder.

- Eric

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.16.04.1)

All autopkgtests for the newly accepted sosreport (3.9.1-1ubuntu0.16.04.1) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

sosreport/3.9.1-1ubuntu0.16.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#sosreport

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Eric Desrochers (slashd)
tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.16.04.1

---------------
sosreport (3.9.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch

  * Remaining patch:
    - d/p/0001-lshw-command.patch

  * Other specific modifications:
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch (LP: #1883320)
    - d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    - Add simple.sh as part of the autopkgtest (LP: #1865212)

 -- Eric Desrochers <email address hidden> Wed, 15 Jul 2020 13:06:39 +0000

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers